ubuntu/+source/k3b:debian/experimental

Last commit made on 2017-12-27
Get this branch:
git clone -b debian/experimental https://git.launchpad.net/ubuntu/+source/k3b
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
debian/experimental
Repository:
lp:ubuntu/+source/k3b

Recent commits

9d65d97... by Pino Toscano <email address hidden> on 2017-12-24

Import patches-unapplied version 17.08.3-1 to debian/experimental

Imported using git-ubuntu import.

Changelog parent: 40560eca3e87fefec09e4c025fd3e432114e54f9

New changelog entries:
  * Team upload.
  * New upstream release:
    - switches to Qt5/KF5 (Closes: #784471, #874923)
    - fixes build with GCC 7 (Closes: #853465)
  * Remove unused ${shlibs:Depends} substvar from libk3b-dev.
  * Update watch file.
  * Update the build dependencies following the port to Frameworks:
    - remove kdelibs5-dev, libkcddb-dev, and libqtwebkit-dev
    - add extra-cmake-modules, qtbase5-dev, libqt5webkit5-dev,
      libkf5archive-dev, libkf5cddb-dev, libkf5config-dev,
      libkf5coreaddons-dev, libkf5doctools-dev, libkf5filemetadata-dev,
      libkf5i18n-dev, libkf5iconthemes-dev, libkf5jobwidgets-dev,
      libkf5kcmutils-dev, libkf5kio-dev, libkf5newstuff-dev,
      libkf5notifications-dev, libkf5notifyconfig-dev, libkf5service-dev,
      libkf5solid-dev, libkf5widgetsaddons-dev, and libkf5xmlgui-dev
  * Use the right dh addon:
    - switch from kde to kf5 dh addon
    - bump the pkg-kde-tools build dependency to >= 0.15.16
  * Rename packages according to the SONAME bumps:
    - libk3b6 -> libk3b7
    - libk3b6-extracodecs -> libk3b7-extracodecs
  * Update install files.
  * Pass -DBUILD_TESTING=OFF to cmake to disable the test suite, as it does
    not work.
  * Update lintian overrides.
  * Update the patches:
    - 101_rename_normalize.diff: update
    - 104_dont_require_suid_cdrecord_or_cdrdao.diff: refresh
    - 110_disable_no_problems_found_popup.diff: update
    - 111_advice_debian_libk3b3-extracodes.diff: update
    - 112_dont_require_mp3.diff: refresh
    - 113_initial_preference.diff: drop, applied upstream
    - cmake-duplicate-doc.diff: drop, no more needed
    - upstream_Fixed-compilation-on-newer-ffmpeg-libav.patch: drop, backported
      from upstream
    - upstream_Fix-build-failure-when-compiling-with-GCC-5.patch: drop,
      backported from upstream
  * Remove unused patch 105_add_iso_burning_to_welcome_screen.diff.
  * Install FAQ.txt & README.txt instead of FAQ & README (as documentation).
  * Remove Fathi Boudra from Uploaders, as requested by the MIA team.
    (Closes: #879306)
  * Bump Standards-Version to 4.1.2, no changes required.
  * Remove pre-Jessie replaces.
  * Tighten some dependencies.
  * Remove trailing whitespaces in control.
  * Fixup some sections.
  * Rename docs to k3b.docs, so it is clear for which binary it is.

40560ec... by Pino Toscano <email address hidden> on 2016-07-17

Import patches-unapplied version 2.0.3a-2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 2cbc13e235d24a0ee912692d3e978e1f826eae1c

New changelog entries:
  * Team upload.
  * Drop menu file and its pixmap, since k3b already provides a .desktop file.
  * Backport upstream commit 840121f0c0ecb5c1fc6324653b795fb7cba60deb to fix
    build with FFmpeg 2.9 and greater; patch
    upstream_Fixed-compilation-on-newer-ffmpeg-libav.patch (Closes: #807853)
  * Fix typos in README.Debian.
  * Update Vcs-Browser field.
  * Backport upstream commit d5b1016e6a4c1dfcf681ce33ea9ffdd0dd5daf24 to fix
    build with GCC 6; patch
    upstream_Fix-build-failure-when-compiling-with-GCC-5.patch
    (Closes: #811735)
  * With this upload, k3b should hopefully be back in testing.
    (Closes: #825440)
  * Remove k3b-dbg in favour of the -dbgsym packages.
  * Bump Standards-Version to 3.9.8, no changes required.

2cbc13e... by Pino Toscano <email address hidden> on 2015-12-12

Import patches-unapplied version 2.0.3a-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: faaa979d7e44fa4b07d9b0035509ea66d3999e0f

New changelog entries:
  * Team upload.
  * New upstream release. (Closes: #778736)
  * Update the patches:
    - Fixed_compilation_with_new_FFMPEG.patch: drop, backported from upstream
    - 103_kdepotpath.diff: drop, unapplied and no more needed since the KDE 4
      porting
    - 113_initial_preference.diff: refresh
    - 114_bug587996_bdr_capacity_fix.diff: drop, fixed upstream
    - k3bscsicommand_bsd-Do-not-access-the-scsi_sense_data.patch: drop,
      backported from upstream
    - k3bsetup-put-the-shebang-in-the-first-line.patch: drop, backported from
      upstream
    - fix-sox-detection-with-sox-14.4.0.patch: drop, backported from upstream
    - Fix-K3B-to-build-with-recent-FFMPEG-versions.patch: drop, backported from
      upstream
    - ffmpeg-more.diff: drop, fixed upstream
    - Prefer-growisofs-to-wodim-for-DVD-BluRay-burning.patch: drop, backported
      from upstream
  * Fix build, avoid adding the same subdirectory twice; patch
    cmake-duplicate-doc.diff.
  * Bump Standards-Version to 3.9.6, no changes required.
  * Re-enable the FFmpeg plugin, as it builds fine again:
    - install k3bffmpegdecoder.desktop in k3b-data
    - install k3bffmpegdecoder.so in libk3b6-extracodecs
    - stop passing -DK3B_BUILD_FFMPEG_DECODER_PLUGIN=OFF as cmake argument in
      rules
  * Install all the translated documentations in k3b-i18n.
  * Update watch file.
  * Remove the custom dh_builddeb handling in rules, as now the default
    compression is xz.

faaa979... by Scott Kitterman on 2014-10-26

Import patches-unapplied version 2.0.2-8 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 2ae6a855a7263973a373413d9c69b95284959008

New changelog entries:
  * Team upload.
  * Add udisks2 to depends (Closes: #730130)

2ae6a85... by Reinhard Tartler on 2014-05-13

Import patches-unapplied version 2.0.2-7.1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 758d3307974ae21360096f04e134a66b04efe7b6

New changelog entries:
  * Non-maintainer upload.
  * Disable the FFmpeg plugin (Closes: #739312)

758d330... by Pino Toscano <email address hidden> on 2013-08-25

Import patches-unapplied version 2.0.2-7 to debian/sid

Imported using git-ubuntu import.

Changelog parent: a78c5658f1ea574e053cff3f39a5e19630626b1c

New changelog entries:
  * Team upload.
  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Enable the lame-based MP3 encoding plugin (based on Pino's work):
    - Build-Depend on libmp3lame-dev.
    - Install the new plugin (and its configuration) in libk3b6-extracodecs.
  [ Pino Toscano ]
  * Update Vcs-* headers.
  * Bump Standards-Version to 3.9.4, no changes required.
  * Add Fix-K3B-to-build-with-recent-FFMPEG-versions.patch (backported from
    upstream branch 2.0) and ffmpeg-more.diff to fix compatibility with newer
    ffmpeg/libav versions. (Closes: #720799)
  * Add Prefer-growisofs-to-wodim-for-DVD-BluRay-burning.patch (backported from
    upstream branch 2.0) to prefer growisofs to wodim for DVD/BluRay; add the
    growisofs recommend. (Closes: #714944)
  * Suggest kde-config-cddb for the CDDB configuration page. (Closes: #696828)

a78c565... by Lisandro Damián Nicanor Pérez Meyer <email address hidden> on 2012-08-23

Import patches-unapplied version 2.0.2-6 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 6f8eba10c61200be85f935bf016fa1687371b33f

New changelog entries:
  * Team upload.
  [ Pino Toscano ]
  * Compress k3b-data and k3b-i18n as xz.
  * Add fix-sox-detection-with-sox-14.4.0.patch (backported from upstream
    branch 2.0) to fix the detection of sox >= 14.4. (Closes: #675737)

6f8eba1... by Pino Toscano <email address hidden> on 2012-06-01

Import patches-unapplied version 2.0.2-5 to debian/sid

Imported using git-ubuntu import.

Changelog parent: be2a033e6d92a3e6c7b9f5f2456f9a8a1bdec932

New changelog entries:
  * Team upload.
  * Bump Standards-Version to 3.9.3, no changes required.
  * Drop the libmusicbrainz4-dev build dependency, since musicbrainz v2 is
    long deprecated and will be removed soon. (Closes: #666531)
  * Bump to debhelper compatibility v9:
    - bump the debhelper build dependency to 9
    - bump compat to 9
  * Link with --as-needed.

be2a033... by Pino Toscano <email address hidden> on 2012-02-25

Import patches-unapplied version 2.0.2-4 to debian/sid

Imported using git-ubuntu import.

Changelog parent: dcdea79b2355417d73a521d46429e4fd8798a7c3

New changelog entries:
  * Team upload.
  * Add k3bscsicommand_bsd-Do-not-access-the-scsi_sense_data.patch (backported
    from upstream branch 2.0) to fix compatibility with FreeBSD >= 9.0
    libraries. (Closes: #660398)
  * Update patch 101_rename_normalize.diff to properly consider "normalize"
    the identifier to use for the normalize-audio version (thus fixing the
    normalize-audio detection). (Closes: #597155)
  * Add k3bsetup-put-the-shebang-in-the-first-line.patch (backported from
    upstream) to fix the detection of k3bsetup as shell script.
  * control: remove ${shlibs:Depends} from k3b-data and k3b-extrathemes.

dcdea79... by Fathi Boudra on 2011-09-12

Import patches-unapplied version 2.0.2-3 to debian/sid

Imported using git-ubuntu import.

Changelog parent: ec4fba72ecdade1306b9a98c175eca2525f649ec

New changelog entries:
  * Add Fixed_compilation_with_new_FFMPEG.patch. (Closes: #638546)
  * Update debian/control: fix hardcoded list of kFreeBSD architectures.
    (Closes: 634736)
  * Update debian/rules: turn off HAL support using K3B_ENABLE_HAL_SUPPORT=OFF.